<!DOCTYPE html>
<head>
    <title>consus dashboard</title>

    <meta name="author" content="Simon Dutkowski">
<!--    <meta http-equiv="refresh" content="20">-->

    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width">

    <link rel="icon" href="images/favicon" />
    <link rel="shortcut icon" href="images/favicon" />
    <link rel="stylesheet" href="styles/css/templatemo_main.css">
    <style>
        .templatemo-content {
            margin-left: 0;
        }
    </style>
</head>
<body>
<div class="navbar navbar-inverse" role="navigation">
    <div class="navbar-header">
        <div class="logo"><h1><img src="images/logo" width="30px" /><span th:text="' consus Dashboard'">title</span><span th:if="${user}" th:text="| - ${user.subject()}|">user</span></h1></div>
        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
        </button>
    </div>
</div>
<div class="template-page-wrapper">
<div class="templatemo-content">

<h2>Runs (of the last 24 hours)</h2>

<p>
<table class="table table-striped">
    <thead>
    <tr>
        <th>Run</th>
        <th>Status</th>
        <th th:text="|Started (${zone})|">Started (UTC)</th>
        <th th:text="|Ended (${zone})|">Ended (UTC)</th>
        <th>Details</th>
    </tr>
    </thead>
    <tbody>
    <tr th:each="run: ${runs}">
        <td>
            <span th:text="${run.pipeName}">pipeName</span>
            <a target="_blank" rel="noopener noreferrer" th:if="${permissions.contains(#strings.toString('*'))} or ${permissions.contains(#strings.toString('logs'))}" th:href="${run.logsLink}">(logs)</a>
        </td>
        <td th:text="${#strings.capitalize(run.status)}">status</td>
        <td th:text="${run.formattedStartTime}">start time</td>
        <td th:text="${run.formattedEndTime}">end time</td>
        <td th:switch="${run.status}">
            <span th:case="'finished'" th:text="|Duration: ${run.formattedDuration}|"></span>
            <div th:case="'failed'">
                <a data-toggle="collapse" th:href="${'#' + run.pipeName}" aria-expanded="false" aria-controls="collapseExample" th:text="${run.reasonFirstLine}"></a>
                <div class="collapse" th:id="${run.pipeName}">
                    <br/>
                    <pre th:text="${run.reason}"></pre>
                </div>
            </div>
            <span th:case="*"></span>
        </td>
    </tr>
    </tbody>
</table>
</p>

<h2>Harvesting pipes</h2>

<p>
    <table class="table table-striped">
        <thead>
            <tr>
                <th>Pipe Name</th>
                <th>Triggers</th>
                <th th:text="|Next (${zone})|">Next (UTC)</th>
            </tr>
        </thead>
        <tbody>
            <tr th:each="pipe: ${pipes}">
                <td>
                    <a th:if="${portalUrl}" target="_blank" rel="noopener noreferrer" th:href="${portalUrl} + '/catalogues/' + ${pipe.name}" th:text="${pipe.name}">name</a>
                    <span th:if="!${portalUrl}" th:text="${pipe.name}">name</span>
                </td>
                <td>
                    <div th:each="trigger: ${pipe.triggers}">
                        <span th:text="${trigger.valueAsString}">trigger</span>
                    </div>
                </td>
                <td>
                    <div th:each="trigger: ${pipe.triggers}">
                        <span th:text="${trigger.formattedNext}">next</span>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</p>

<p>More infos to come...</p>

<a target="_blank" rel="noopener noreferrer" th:if="${permissions.contains(#strings.toString('*'))} or ${permissions.contains(#strings.toString('logs'))}" th:href="${logs}">General last hour logs</a>

</div>
</div>

<script src="styles/js/jquery.min.js"></script>
<script src="styles/js/bootstrap.min.js"></script>
<script src="styles/js/templatemo_script.js"></script>

</body>
